GET /project

Get all projects

Query parameters

  • sort string

    Order in which to retrieve the results

    Format should match the following pattern: ^\w+,(DESC|ASC)$. Default value is lastModified,DESC.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string Required

      Format should match the following pattern: ^[A-Za-z0-9\-]+$.

    • jdbcId string

      Format should match the following pattern: ^[A-Za-z0-9\-]+$.

    • mongodbId string

      Format should match the following pattern: ^[A-Za-z0-9\-]+$.

    • name string Required

      Minimum length is 1, maximum length is 50.

    • type string Required

      Database type or a custom database type. For example, MYSQL, ORACLE, POSTGRESQL, SQL_SERVER, COCKROACHDB, DB2, SQLANYWHERE, SYBASE, SYBASEIQ, or YUGABYTE.

    • lastModified string(date-time)
  • 500 application/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

GET /project
curl \
 --request GET 'http://127.0.0.1:8278/api/v1/project'
Response examples (200)
[
  {
    "id": "string",
    "jdbcId": "string",
    "mongodbId": "string",
    "name": "string",
    "type": "ORACLE",
    "lastModified": "2026-05-04T09:42:00Z"
  }
]
Response examples (500)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}